Package es.imim.DISGENET.gui

# Class GuiParameters<PostTranslational_Modification,Altered_Expression>

java.lang.Object
es.imim.DISGENET.gui.GuiParameters<PostTranslational_Modification,Altered_Expression>

public class GuiParameters<PostTranslational_Modification,Altered_Expression> extends Object
The DISGENET Cytoscape App is designed to visualize, query, and analyze a network representation of DISGENET data.

Copyright (C) 2024 MEDBIOINFORMATICS SOLUTIONS SL

This file is part of the DISGENET Cytoscape App. The DISGENET Cytoscape App is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or any later version.

The DISGENET Cytoscape App is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the DISGENET Cytoscape App. If not, see http://www.gnu.org/licenses/.

## Constructor Summary

Constructors
Constructor
Description
`GuiParameters()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getActiveTab()`
`String`
`getAssociationType()`
`String`
`getDiseaseClass()`
`String`
`getDisSearchText()`
`String`
`getEl()`
`String`
`getGenSearchText()`
`String`
`getHighEi()`
`String`
`getHighScore()`
`String`
`getLowEi()`
`String`
`getLowScore()`
`String`
`getNetworkName()`
`String`
`getProteinClass()`
`String`
`getSource()`
`String`
`getVarSearchText()`
`boolean`
`isEmptyNet()`
`boolean`
`isNetBuildInterrupted()`
`boolean`
`isVarGeneDisNetwork()`
`void`
`setActiveTab(String activeTab)`
`void`
`setAssociationType(String associationType)`
`void`
`setDiseaseClass(String diseaseClass)`
`void`
`setDisSearchText(String disSearchText)`
`void`
`setEl(String el)`
`void`
`setEmptyNet(boolean emptyNet)`
`void`
`setGenSearchText(String genSearchText)`
`void`
`setHighEi(String hightEi)`
`void`
`setHighScore(String highScore)`
`void`
`setLowEi(String lowEi)`
`void`
`setLowScore(String lowScore)`
`void`
`setNetBuildInterrupted(boolean netBuildInterrupted)`
`void`
`setNetworkName(String networkName)`
`void`
`setProteinClass(String proteinClass)`
`void`
`setSource(String source)`
`void`
`setVarGeneDisNetwork(boolean varGeneDisNetwork)`
`void`
`setVarSearchText(String varSearchText)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GuiParameters

public GuiParameters()

## Method Details

### getActiveTab

public String getActiveTab()

### setActiveTab

public void setActiveTab(String activeTab)

### getNetworkName

public String getNetworkName()

### setNetworkName

public void setNetworkName(String networkName)

### getGenSearchText

public String getGenSearchText()

### setGenSearchText

public void setGenSearchText(String genSearchText)

### getDisSearchText

public String getDisSearchText()

### setDisSearchText

public void setDisSearchText(String disSearchText)

### getSource

public String getSource()

### setSource

public void setSource(String source)

### getAssociationType

public String getAssociationType()

### setAssociationType

public void setAssociationType(String associationType)

### getDiseaseClass

public String getDiseaseClass()

### getProteinClass

public String getProteinClass()

### setProteinClass

public void setProteinClass(String proteinClass)

### setDiseaseClass

public void setDiseaseClass(String diseaseClass)

### getLowScore

public String getLowScore()

### setLowScore

public void setLowScore(String lowScore)

### getHighScore

public String getHighScore()

### setHighScore

public void setHighScore(String highScore)

### getLowEi

public String getLowEi()

### setLowEi

public void setLowEi(String lowEi)

### getHighEi

public String getHighEi()

### setHighEi

public void setHighEi(String hightEi)

### getEl

public String getEl()

### setEl

public void setEl(String el)

### getVarSearchText

public String getVarSearchText()

### setVarSearchText

public void setVarSearchText(String varSearchText)

### setNetBuildInterrupted

public void setNetBuildInterrupted(boolean netBuildInterrupted)

### isNetBuildInterrupted

public boolean isNetBuildInterrupted()

### setEmptyNet

public void setEmptyNet(boolean emptyNet)

### isEmptyNet

public boolean isEmptyNet()

### isVarGeneDisNetwork

public boolean isVarGeneDisNetwork()

### setVarGeneDisNetwork

public void setVarGeneDisNetwork(boolean varGeneDisNetwork)